Subject: [Gen-art] Gen-ART LC review of draft-ietf-idr-flow-spec-03.txt

From: Brian E Carpenter <[email-masked]>
Date: Thu, 08 Jan 2009 12:03:20 +1300

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 08 Jan 2009 13:45:28 +1300

Pedro,

That's fine, about what I expected. But it will be a lot clearer
if you add two sentences
a) clarifying that IPv6 is future work
  [Personlly I'd be tempted to reserve a code for the flow label.
   After all, draft-dreibholz-ipv4-flowlabel-09.txt is around.]
b) clarifying the as# point, maybe even say MUST be set to zero
   when no 2-byte as# is available.

Regards
   Brian Carpenter
   University of Auckland

On 2009-01-08 13:26, Pedro Roque Marques wrote:
> Brian,
> 
> Regarding the traffic-rate community referred to in section 6, the
> 2-byte as# is purely informational. It has no semantics and can be set
> to 0 when a 2-byte as# is not available. The field is there in order to
> be consistent with the definition of the traffic-rate community which
> existed in a early version of the extended community document and for
> which there are implementations.
> 
> Regarding what protocols are supported. Only IPv4 is supported by this
> version of the document. As you mention the same approach can be used to
> support IPv6 (using the IPv6 AFI).
> 
> The current document interoperable implementations as per IDR policies.
> These implementations do not support IPv6 at the moment as the types of
> problems they are ment to address have not yet been seen with IPv6
> deployments.
> 
>   Pedro.
> 
> On Jan 7, 2009, at 3:03 PM, Brian E Carpenter wrote:
> 
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> <draft-ietf-idr-flow-spec-03-carpenter.txt>
> 
>

---

From: Pedro Roque Marques <[email-masked]>
Date: Wed, 7 Jan 2009 16:26:14 -0800

Brian,

Regarding the traffic-rate community referred to in section 6, the 2- 
byte as# is purely informational. It has no semantics and can be set  
to 0 when a 2-byte as# is not available. The field is there in order  
to be consistent with the definition of the traffic-rate community  
which existed in a early version of the extended community document  
and for which there are implementations.

Regarding what protocols are supported. Only IPv4 is supported by this  
version of the document. As you mention the same approach can be used  
to support IPv6 (using the IPv6 AFI).

The current document interoperable implementations as per IDR  
policies. These implementations do not support IPv6 at the moment as  
the types of problems they are ment to address have not yet been seen  
with IPv6 deployments.

   Pedro.